public static interface RedisEndpointBuilderFactory.RedisBuilders
| Modifier and Type | Method and Description |
|---|---|
default RedisEndpointBuilderFactory.RedisEndpointBuilder |
springRedis(String path)
Spring Redis (camel-spring-redis)
Send and receive messages from Redis.
|
default RedisEndpointBuilderFactory.RedisEndpointBuilder |
springRedis(String componentName,
String path)
Spring Redis (camel-spring-redis)
Send and receive messages from Redis.
|
default RedisEndpointBuilderFactory.RedisEndpointBuilder springRedis(String path)
spring-redis:host:port
Path parameter: host (required)
The host where Redis server is running.
Path parameter: port (required)
Redis server port numberpath - host:portdefault RedisEndpointBuilderFactory.RedisEndpointBuilder springRedis(String componentName, String path)
spring-redis:host:port
Path parameter: host (required)
The host where Redis server is running.
Path parameter: port (required)
Redis server port numbercomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:portApache Camel